Bug 110364 - priduct.img - rnotes
priduct.img - rnotes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 15:38 EST by Jack Neely
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-24 06:29:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Neely 2003-11-18 15:38:59 EST
Using an rnotes/ directory in the product.img image gives some
interesting results.

* If this directory exists, should it completely override the built in
rnotes, like installclasses?

* Naming a file with the same numeric prefix as an existing file
replaces that file.  (Fine by me.)

* Files named with a numeric prefix not present in the built in rnotes
are not shown.  Ie: 05-realmlinux.png does not display.
Comment 1 Jeremy Katz 2003-11-18 17:04:40 EST
Committed the following (so that it completely overrides as that seems
the most sane behavior)

[katzj@mirkwood anaconda]$ cvs -q diff -u iw/progress_gui.py
Index: iw/progress_gui.py
===================================================================
RCS file: /cvs/devel/anaconda/iw/progress_gui.py,v
retrieving revision 1.75
diff -u -u -r1.75 progress_gui.py
--- iw/progress_gui.py  29 Oct 2003 04:35:10 -0000      1.75
+++ iw/progress_gui.py  18 Nov 2003 22:05:51 -0000
@@ -272,17 +272,19 @@
             shortlang = ''
             longlang = ''
  
-        pixmaps1 =
glob.glob("/usr/share/anaconda/pixmaps/rnotes/%s/*.png" % (shortlang,))
-
-       if len(pixmaps1) <= 0:
-           pixmaps1 =
glob.glob("/usr/share/anaconda/pixmaps/rnotes/%s/*.png" % (longlang,))
-
-       if len(pixmaps1) <= 0:
-           # for beta try top level w/o lang
-           pixmaps1 =
glob.glob("/usr/share/anaconda/pixmaps/rnotes/*.png")
+        paths = ("/tmp/product/pixmaps/rnotes/%s/*.png" %(shortlang,),
+                 "/tmp/product/pixmaps/rnotes/%s/*.png" %(longlang,),
+                 "/tmp/product/pixmaps/rnotes/*.png",
+                 "/usr/share/anaconda/pixmaps/rnotes/%s/*.png"
%(shortlang,),
+                 "/usr/share/anaconda/pixmaps/rnotes/%s/*.png"
%(longlang,),
+                 "/usr/share/anaconda/pixmaps/rnotes/*.png")
+        for path in paths:
+            pixmaps = glob.glob(path)
+            if len(pixmaps) > 0:
+                break
  
         if len(pixmaps1) > 0:
-            files = pixmaps1
+            files = pixmaps
         else:
             files = ["progress_first.png"]
  
@@ -312,7 +314,7 @@
         vbox = gtk.VBox (gtk.FALSE, 10)
  
         # Create rnote area
-        pix = self.ics.readPixmap ("progress_first.png")
+        pix = self.ics.readPixmapDithered ("progress_first.png")
         if pix:
             frame = gtk.Frame()
             frame.set_shadow_type(gtk.SHADOW_NONE)

Note You need to log in before you can comment on or make changes to this bug.